Hello I try to use pushwoosh cordova plugin in android platform as described in: http://docs.pushwoosh.com/docs/cordova-phonegap

After I installed plugin, cordova build working properly but when I opened Eclipse I get error on line:

<meta-data android:name="com.google.android.gms.version" android:value="@integer/google_play_services_version" />

in AndroidManifest.xml file I searched in google and found a solution that copying "res/values/version.xml" file from "android-sdks/extras/google/google_play_services/libproject/google-play-services_lib" project. So I apply that fix,

But then, I get following error:

02-13 01:32:10.909: E/AndroidRuntime(31754): FATAL EXCEPTION: IntentService[GCMRegistrationService]
02-13 01:32:10.909: E/AndroidRuntime(31754): Process: com.alixo.ozelders.mobile, PID: 31754
02-13 01:32:10.909: E/AndroidRuntime(31754): java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/android/gms/iid/InstanceID;
02-13 01:32:10.909: E/AndroidRuntime(31754):    at com.pushwoosh.GCMRegistrationService.register(Unknown Source)
02-13 01:32:10.909: E/AndroidRuntime(31754):    at com.pushwoosh.GCMRegistrationService.onHandleIntent(Unknown Source)
...

Thanks for your help

asked 13 Feb '16, 16:36
Emre%20Dagli's gravatar image

Emre Dagli
112

This is the plugin list for our project:

com.pushwoosh.plugins.pushwoosh 4.2.0 "Pushwoosh"
cordova-plugin-console 1.0.2 "Console"
cordova-plugin-device 1.1.1 "Device"
cordova-plugin-geolocation 2.1.0 "Geolocation"
cordova-plugin-globalization 1.0.2 "Globalization"
cordova-plugin-inappbrowser 1.2.1 "InAppBrowser"
cordova-plugin-network-information 1.2.0 "Network Information"
cordova-plugin-splashscreen 3.1.0 "Splashscreen"
cordova-plugin-statusbar 2.1.1 "StatusBar"
cordova-plugin-whitelist 1.2.1 "Whitelist"

and cordova version is 6.0.0.

Thanks for your help.

permanent link
answered 18 Feb '16, 17:36
Emre%20Dagli's gravatar image

Emre Dagli
112

Hi,

Generally java.lang.NoClassDefFoundError: Failed resolution of: Lcom/google/android/gms/iid/InstanceID indicates that you have an outdated version of google play services library. 

Could you please kindly check that you have the latest available version of Google play services lib and update it if needed?

permanent link
answered 19 Feb '16, 11:54
Vitaly%20Romanychev's gravatar image

Vitaly Roman...
2213

Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×446
×190
×91
×30
×16

question asked: 13 Feb '16, 16:36

question was seen: 1,145 times

last updated: 19 Feb '16, 11:54